=== tests/sce/CMakeLists.txt ===
if(ENABLE_SCE)
	add_oscap_test("test_sce.sh")
	add_oscap_test("test_passing_vars.sh")
	add_oscap_test("test_check_engine_results.sh")
	add_oscap_test("test_sce_in_ds.sh")
	add_oscap_test("test_sce_in_report.sh")
	add_oscap_test("test_sce_stdout_stderr.sh")
	add_oscap_test("test_sce_streams_fill.sh")
endif()
