=== debian/changelog ===
openscap (1.4.0+dfsg-2) unstable; urgency=medium

  * Move from experimental to unstable.
  * Update license name for W3C.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 26 Oct 2024 06:13:16 +0200

openscap (1.4.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Rebase patches.
  * Upstream has bumped SONAME.
    - Rename lib package.
    - Update symbols file.
  * Refresh d/copyright.
  * Remove libopendbx1-dev as BD.
  * Remove CMake options that is now default.
  * Remove d/libopenscap-dev.dirs, not needed.
  * Stop installing /usr/share/openscap/cpe.
  * Update package descriptions.
  * Remove 'Provides' from Python package.
  * Change openscap-utils from 'linux-any' to 'all'.
  * python3-openscap: Remove explicit dependency on OpenSCAP library,
    this is found by shlibs.
  * Add d/clean, removes generated test files.
  * Add upstream contact information.
  * Add missing space in license field.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 24 Aug 2024 16:44:26 +0200
