=== debian/control ===
Source: openscap
Section: admin
Priority: optional
Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               dpkg-dev (>= 1.22.5),
               libacl1-dev,
               libattr1-dev,
               libblkid-dev,
               libbz2-dev,
               libcap-dev [linux-any],
               libcurl4-openssl-dev | libcurl4-gnutls-dev,
               libdbus-1-dev,
               libgcrypt-dev,
               libglib2.0-dev,
               libldap2-dev,
               libpcre2-dev,
               libpopt-dev,
               libpython3-all-dev,
               librpm-dev,
               libselinux1-dev [linux-any],
               libxml-parser-perl <!nocheck>,
               libxml-xpath-perl <!nocheck>,
               libxml2-dev,
               libxmlsec1-dev,
               libxslt1-dev,
               libyaml-dev,
               perl-xs-dev,
               pkgconf,
               python3-all-dev:native,
               python3-pytest <!nocheck>,
               swig,
Build-Depends-Indep: asciidoc,
                     doxygen,
                     graphviz,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://www.open-scap.org/
Vcs-Browser: https://salsa.debian.org/debian/openscap
Vcs-Git: https://salsa.debian.org/debian/openscap.git

Package: libopenscap-dev
Section: libdevel
Architecture: linux-any
Depends: libopenscap33 (= ${binary:Version}),
         ${misc:Depends},
Suggests: openscap-doc,
Description: libraries enabling integration of the SCAP line of standards - Development files
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the development files for OpenSCAP.

Package: libopenscap33
Section: libs
Architecture: linux-any
Conflicts: libopenscap8,
Replaces: libopenscap8,
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: libraries enabling integration of the SCAP line of standards
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains libraries for OpenSCAP.

Package: python3-openscap
Section: python
Architecture: linux-any
Depends: python3-docker,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Suggests: openscap-doc,
Description: libraries enabling integration of the SCAP line of standards - Python 3 bindings
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Python bindings for OpenSCAP.

Package: libopenscap-perl
Section: perl
Architecture: linux-any
Depends: libopenscap33 (= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Suggests: openscap-doc,
Description: libraries enabling integration of the SCAP line of standards - Perl bindings
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains the Perl bindings for OpenSCAP.

Package: openscap-scanner
Architecture: linux-any
Depends: libopenscap33 (= ${binary:Version}),
         openscap-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: openscap-doc,
Description: OpenScap Scanner Tool (oscap)
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains oscap command-line tool, configuration and
 vulnerability scanner. It can use for compliance checking with SCAP contents.

Package: openscap-utils
Architecture: all
Depends: openscap-scanner (>= ${source:Version}),
         python3-openscap (>= ${source:Version}),
         rpm,
         ${misc:Depends},
         ${python3:Depends},
Suggests: openscap-doc,
Description: libraries enabling integration of the SCAP line of standards - Utility programs
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains command line utilities.

Package: openscap-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: libopenscap8 (<< 1.3.5),
Replaces: libopenscap8 (<< 1.3.5),
Description: OpenSCAP schema files
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains schema files.

Package: openscap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: libraries enabling integration of the SCAP line of standards - Documentation
 OpenSCAP is a set of open source libraries providing an easier path
 for integration of the SCAP line of standards. SCAP is a line of
 standards managed by NIST with the goal of providing a standard language
 for the expression of Computer Network Defense related information.
 .
 The intended scope of this project is to implement working interface
 wrappers for parsing and querying SCAP content including:
  * Common Configuration Enumeration (CCE)
  * Common Platform Enumeration (CPE)
  * Extensible Configuration Checklist Description Format (XCCDF)
  * Open Vulnerability and Assessment Language (OVAL)
 .
 This package contains documentation.
