## openscap 1.4.1%2Bdfsg

=== debian/changelog ===
openscap (1.4.1+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 15:10:24 +0000

openscap (1.4.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add oscap-im in utils package.
  * Bump copyright years.
  * Apply multi-arch hints for library.

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Sat, 18 Jan 2025 17:44:07 +0100
