=== debian/control ===
--- 
+++ 
@@ -65,6 +65,7 @@
 Package: libopenscap33
 Section: libs
 Architecture: linux-any
+Multi-Arch: same
 Conflicts: libopenscap8,
 Replaces: libopenscap8,
 Pre-Depends: ${misc:Pre-Depends},
