## openscap 1.4.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 project("openscap")
 set(OPENSCAP_VERSION_MAJOR "1")
 set(OPENSCAP_VERSION_MINOR "4")
-set(OPENSCAP_VERSION_PATCH "0")
+set(OPENSCAP_VERSION_PATCH "1")
 
 if(OPENSCAP_VERSION_SUFFIX)
 	set(OPENSCAP_VERSION "${OPENSCAP_VERSION_MAJOR}.${OPENSCAP_VERSION_MINOR}.${OPENSCAP_VERSION_PATCH}_${OPENSCAP_VERSION_SUFFIX}")
@@ -26,7 +26,7 @@
 set(LT_CURRENT 33)
 
 ## increment any time the source changes; set 0 to if you increment CURRENT
-set(LT_REVISION 0)
+set(LT_REVISION 1)
 
 ## increment if any interfaces have been added; set to 0
 ## if any interfaces have been changed or removed. removal has
@@ -78,6 +78,7 @@
 include(CheckIncludeFiles)
 include(CheckCSourceCompiles)
 include(CMakeDependentOption)
+include(FindPythonModule)
 
 # ---------- DEPENDENCIES
 
@@ -126,6 +127,8 @@
 
 set(PREFERRED_PYTHON_PATH "${PYTHON_EXECUTABLE}" CACHE PATH "Path to preferred Python")
 set(PYTHON3_PATH "${PYTHON_EXECUTABLE}" CACHE PATH "Path to Python3")
+
+find_python_module(pytest)
 
 find_package(RPM)
 if(RPM_FOUND)
