=== tests/DS/CMakeLists.txt ===
add_oscap_test("test_ds_misc.sh")
add_oscap_test("test_rds.sh")
add_oscap_test("test_sds_eval.sh")
add_oscap_test("test_sds_fix_from_results.sh")
add_oscap_test("test_sds_fix_from_source.sh")
add_oscap_test("test_ds_use_local_remote_resources.sh")

add_subdirectory("ds_sds_index")
add_subdirectory("schematron")
add_subdirectory("sds_detect_version")
add_subdirectory("signed")
add_subdirectory("validate")
add_subdirectory("ds_without_cpe_dict")
