=== tests/probes/xmlfilecontent/CMakeLists.txt ===
if(OPENSCAP_PROBE_INDEPENDENT_XMLFILECONTENT)
	add_oscap_test("test_xmlfilecontent_probe.sh")
endif()
