=== tests/probes/rpm/rpmverifyfile/CMakeLists.txt ===
if(ENABLE_PROBES_LINUX)
	add_oscap_test("test_probes_rpmverifyfile.sh")
	add_oscap_test("test_probes_rpmverifyfile_older.sh")
	add_oscap_test("test_probes_rpmverifyfile_offline.sh")
endif()
