=== tests/API/OVAL/skip_paths/CMakeLists.txt ===
add_oscap_test("test_skip_paths.sh")
add_oscap_test("test_skip_paths_offline.sh")
