=== debian/changelog ===
openscap (1.4.2+dfsg-1ubuntu2) questing; urgency=medium

  * Fix signature code with xmlsec1 1.3.7 and re-enable the tests.
    (LP: #2111789)
    - d/p/fix-signature-xmlsec-1.3.patch

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Mon, 28 Jul 2025 13:56:42 +0200

openscap (1.4.2+dfsg-1ubuntu1) questing; urgency=medium

  * Disable signature tests because of current failures with xmlsec1 1.3.7
    (LP: #2111789)
    - d/p/skip-signature-test.patch

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 11 Jun 2025 18:48:25 +0200

openscap (1.4.2+dfsg-1build2) questing; urgency=medium

  * No-change rebuild for libxmlsec soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 08:10:16 +0200

openscap (1.4.2+dfsg-1build1) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 22 May 2025 10:23:40 +0200

openscap (1.4.2+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.2, no changes needed,
  * Apply multi-arch hints for development package,
  * Only reference LGPL* licenses from '/usr/share/common-licenses',

 -- Håvard F. Aasen <havard.f.aasen@pfft.no>  Tue, 08 Apr 2025 20:06:57 +0200
