=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openscap
 Section: admin
 Priority: optional
-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Håvard F. Aasen <havard.f.aasen@pfft.no>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                dh-python,
@@ -35,7 +36,7 @@
 Build-Depends-Indep: asciidoc,
                      doxygen,
                      graphviz,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://www.open-scap.org/
 Vcs-Browser: https://salsa.debian.org/debian/openscap
@@ -44,6 +45,7 @@
 Package: libopenscap-dev
 Section: libdevel
 Architecture: linux-any
+Multi-Arch: same
 Depends: libopenscap33 (= ${binary:Version}),
          ${misc:Depends},
 Suggests: openscap-doc,
